'use strict';

const generateControllers = require('../../core/controllers');
const commentService = require('./comment.service');
const { extractParamsFromRequest, handleErrorResponse, handleResultResponse } = require('../../helpers/controller.helper');

// Module Name
const MODULE_NAME = '[comment.controller]';

const controllerOptions = { MODULE_NAME };
const extraControllers = {
};

module.exports = generateControllers(commentService, extraControllers, controllerOptions);

